---
inputType: "CA10__CaAwsInstance__c"
importExtracts:
  - file: "/types/CA10__CaAwsInstance__c/object.extracts.yaml"
testData:
  - file: 'test-data.json'
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The instance is not running."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__stateName__c"
        right:
          TEXT: "running"
  - status: "INAPPLICABLE"
    currentStateMessage: "The instance has been running for less than 14 days."
    check:
      LESS_THAN:
        left:
          EXTRACT: "CA10__currentRunningTime__c"
        right:
          NUMBER: 14.0
  - status: UNDETERMINED
    currentStateMessage: "There is not enough data in the CMDB to identify if the instance is overutilized."
    check:
      OR:
        args:
          - IS_EMPTY:
              arg:
                EXTRACT: "CA10__averageCpuTwoWeeks__c"
          - IS_EMPTY:
              arg:
                EXTRACT: "CA10__maxCpuTwoWeeks__c"
  - status: "INCOMPLIANT"
    currentStateMessage: "The instance is overutilized with Average CPU Utilization > 80%\
      \ and Max CPU Utilization > 95%."
    remediationMessage: "Consider scaling up the instance or implementing auto scaling."
    check:
      AND:
        args:
          - GREATER_THAN:
              left:
                EXTRACT: CA10__averageCpuTwoWeeks__c
              right:
                NUMBER: 80.0
          - GREATER_THAN:
              left:
                EXTRACT: CA10__maxCpuTwoWeeks__c
              right:
                NUMBER: 95.0
otherwise:
  status: "COMPLIANT"
  currentStateMessage: 'The instance is not overutilized.'